%define module systemd

Summary:	Python bindings for %{module}
Name:		python-%{module}
Version:	230
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/Python
Url:		http://www.freedesktop.org/wiki/Software/systemd
# (cg) Generate from git:
# git archive --format=tar --prefix=python-systemd-${VERSION}/ v${VERSION} | xz > python-systemd-${VERSION}.tar.xz
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(python3)

%description
Python bindings for %{module}.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for %{module}
Conflicts:     %{name} < %{version}-%{release}

%description -n python3-%{module}
Python 3 bindings for %{module}.

%prep
%setup -q
cp -a . %{py3dir}

%build
%make systemd/id128-constants.h
%py2_build

pushd %{py3dir}
%make systemd/id128-constants.h
%py3_build
popd

%install
%py2_install 
pushd %{py3dir}
%make systemd/id128-constants.h
%py3_install
popd

%files
%{python2_sitearch}/*.egg-info
%{python2_sitearch}/%{module}

%files -n python3-%{module}
%{python3_sitearch}/*.egg-info
%{python3_sitearch}/%{module}


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 230-4.mga6
+ Revision: 1007069
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 230-3.mga6
+ Revision: 958694
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 230-2.mga6
+ Revision: 887315
- rebuild for new python3

* Thu Jul 09 2015 colin <colin> 230-1.mga6
+ Revision: 853035
- imported package python-systemd

